Bug 1730327 - [abrt] xdg-desktop-portal: g_wakeup_new(): xdg-desktop-portal killed by SIGTRAP
Summary: [abrt] xdg-desktop-portal: g_wakeup_new(): xdg-desktop-portal killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-desktop-portal
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1f816226681df59a416e48a3a47...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 13:00 UTC by Michael Catanzaro
Modified: 2020-05-26 16:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:13:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.80 KB, text/plain)
2019-07-16 13:00 UTC, Michael Catanzaro
no flags Details
File: cgroup (224 bytes, text/plain)
2019-07-16 13:00 UTC, Michael Catanzaro
no flags Details
File: core_backtrace (16.20 KB, text/plain)
2019-07-16 13:00 UTC, Michael Catanzaro
no flags Details
File: cpuinfo (1.51 KB, text/plain)
2019-07-16 13:00 UTC, Michael Catanzaro
no flags Details
File: dso_list (4.48 KB, text/plain)
2019-07-16 13:00 UTC, Michael Catanzaro
no flags Details
File: environ (1.57 KB, text/plain)
2019-07-16 13:00 UTC, Michael Catanzaro
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-16 13:00 UTC, Michael Catanzaro
no flags Details
File: maps (54.76 KB, text/plain)
2019-07-16 13:00 UTC, Michael Catanzaro
no flags Details
File: mountinfo (3.90 KB, text/plain)
2019-07-16 13:00 UTC, Michael Catanzaro
no flags Details
File: open_fds (63.22 KB, text/plain)
2019-07-16 13:00 UTC, Michael Catanzaro
no flags Details
File: proc_pid_status (1.37 KB, text/plain)
2019-07-16 13:01 UTC, Michael Catanzaro
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github flatpak xdg-desktop-portal issues 352 0 None None None 2019-07-19 23:41:51 UTC

Description Michael Catanzaro 2019-07-16 13:00:48 UTC
Version-Release number of selected component:
xdg-desktop-portal-1.4.2-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/libexec/xdg-desktop-portal
crash_function: g_wakeup_new
executable:     /usr/libexec/xdg-desktop-portal
journald_cursor: s=d75e644888f44edbad9cd674048e812c;i=3daa;b=21422b1c8e6a4b4f93558eaa65dbbadc;m=1a1b456475;t=58da6861f7933;x=1f8a012efec042c3
kernel:         5.1.16-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Michael Catanzaro 2019-07-16 13:00:50 UTC
Created attachment 1591042 [details]
File: backtrace

Comment 2 Michael Catanzaro 2019-07-16 13:00:51 UTC
Created attachment 1591043 [details]
File: cgroup

Comment 3 Michael Catanzaro 2019-07-16 13:00:52 UTC
Created attachment 1591044 [details]
File: core_backtrace

Comment 4 Michael Catanzaro 2019-07-16 13:00:53 UTC
Created attachment 1591045 [details]
File: cpuinfo

Comment 5 Michael Catanzaro 2019-07-16 13:00:54 UTC
Created attachment 1591046 [details]
File: dso_list

Comment 6 Michael Catanzaro 2019-07-16 13:00:55 UTC
Created attachment 1591047 [details]
File: environ

Comment 7 Michael Catanzaro 2019-07-16 13:00:56 UTC
Created attachment 1591048 [details]
File: limits

Comment 8 Michael Catanzaro 2019-07-16 13:00:57 UTC
Created attachment 1591049 [details]
File: maps

Comment 9 Michael Catanzaro 2019-07-16 13:00:58 UTC
Created attachment 1591050 [details]
File: mountinfo

Comment 10 Michael Catanzaro 2019-07-16 13:00:59 UTC
Created attachment 1591051 [details]
File: open_fds

Comment 11 Michael Catanzaro 2019-07-16 13:01:00 UTC
Created attachment 1591052 [details]
File: proc_pid_status

Comment 12 Michael Catanzaro 2019-07-19 23:32:53 UTC
Similar problem has been detected:

fd leak. xdg-desktop-portal has ./flatpak-info opened >1000 times....

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/libexec/xdg-desktop-portal
crash_function: g_wakeup_new
executable:     /usr/libexec/xdg-desktop-portal
journald_cursor: s=d011b23d2e5b4fc38db050478e4f3265;i=7b63;b=6ad99dbad8df4e8e831e463cc1bfdd38;m=12ff7a48b9;t=58e10fceb46bb;x=8745e0ce041723b
kernel:         5.1.17-300.fc30.x86_64
package:        xdg-desktop-portal-1.4.2-1.fc30
reason:         xdg-desktop-portal killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Ben Cotton 2020-04-30 21:31:52 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2020-05-26 16:13:48 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.